/*
 * Copyright (c) 2002-2003 by OpenSymphony
 * All rights reserved.
 */
package com.opensymphony.user.provider.file;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;


import java.util.Properties;


/**
* Following properties are <b>required</b>:
* <ul>
* <li><b>storeFile</b> - the absolute path to the store file
(<i>ex:c:\properties.store</i>)</li>
* </ul>
*/
public class SerializableProfileProvider extends FileProfileProvider {
    //~ Static fields/initializers /////////////////////////////////////////////

    protected static final Log log = LogFactory.getLog(SerializableProfileProvider.class);

	public boolean init(Properties properties) {
		boolean retVal = super.init(properties);

		if (retVal) {
			propertySetCache = new SerializablePropertySetCache(properties.getProperty("storeFile"), properties.getProperty("storeFileType"));

			return true;
		}

		return false;
	}

}

