package com.opensymphony.user.provider.file;

import java.io.File;
import java.io.FileOutputStream;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;

class SerializablePropertySetCache extends FilePropertySetCache {

	public SerializablePropertySetCache(String storeFile, String storeFileType) {
		super(storeFile, storeFileType);
		load();
	}
		//~ Methods ////////////////////////////////////////////////////////////////
	//~ Methods ////////////////////////////////////////////////////////////////

	public boolean load() {
		try {
			ObjectInputStream ois = new ObjectInputStream(getInputStreamFromStoreFile());
			SerializablePropertySetCache ps = (SerializablePropertySetCache) ois.readObject();

			// copy data into this class
			propertySets = ps.propertySets;

			return true;
		} catch (Exception e) {
			log.fatal("cannot load from file " + storeFile + ". Create a new blank store.", e);
		}

		return false;
	}
	
	public boolean store() {
		try {
			FileOutputStream fos = new FileOutputStream(new File(storeFile));
			ObjectOutputStream oos = new ObjectOutputStream(fos);
			oos.writeObject(this);
			fos.close();

			return true;
		} catch (Exception e) {
			log.fatal("cannot store in file " + storeFile + ".", e);
		}

		return false;
	}
}