/*
 * Copyright (c) 2002-2003 by OpenSymphony
 * All rights reserved.
 */
package com.opensymphony.user.provider.file;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import java.util.Properties;


/**
* Following properties are <b>required</b>:
* <ul>
* <li><b>storeFile</b> - the absolute path to the store file (<i>ex: c:\groups.xml</i>) or a resource location in the jar (<i>ex: /groups.xml</i>) </li>
* <li><b>storeFileType</b> - one of (file, resource)
* </ul>
*
* XML format example:
* <pre>
* &lt;users&gt;
*   &lt;user id="myUser" password="abcdef"/&gt;
*   &lt;user id="foo"/&gt;
* &lt;/users&gt;
* </pre>
*
* @author Dave Brondsema
*
*/
public class XMLCredentialsProvider extends FileCredentialsProvider {
    //~ Static fields/initializers /////////////////////////////////////////////

    protected static final Log log = LogFactory.getLog(XMLCredentialsProvider.class);

    //~ Methods ////////////////////////////////////////////////////////////////

    public boolean init(Properties properties) {
        boolean retVal = super.init(properties);

        if (retVal) {
            userCache = new XMLUsersCache(properties.getProperty("storeFile"), properties.getProperty("storeFileType"));

            return true;
        }

        return false;
    }
}
